Mono.Security.Win32 [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Mono.Security.Cryptography.MD2 Provides access to the unmanaged implementation of the MD2 cryptographic hash function in CryptoAPI.

WARNING: The MD2 algorithm hasn't been broken but is no more considered safe for newer design. It is included in Mono.Security for compatibility reasons as older, but still valid, root certificates are signed using an MD2 hash.

The MD2 algorithm is detailled in the IETF RFC 1319 "The MD2 Message-Digest Algorithm", available at http://www.ietf.org/rfc/rfc1319.txt

This class is part of the Mono.Security.Win32.dll assembly. This assembly provides a managed wrapper aound the unmanaged CryptoAPI. As such the assembly will only work on Windows operating system providing CryptoAPI.

- Constructor
  Creates a new CryptoAPI-based instance to hash data using the MD2 algorithm.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a Release the unmanaged resources held by the class. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` Byte array containing the data to hash. Where in the input buffer to start. a Drives the hashing function. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] This finalizes the hash. Takes the data from the chaining variables and returns it. a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Resets the class after use. Called automatically after hashing is done. 1.0.5000.0 2.0.0.0